> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Attributes

> Gets a list of product attributes.




## OpenAPI

````yaml api-reference/v2/openapi-v2-stable.yaml get /products/attributes
openapi: 3.0.3
info:
  title: CoCart - Cart API v2
  version: 4.6.0
  description: >
    CoCart REST API v2 for managing shopping carts, products, and store
    functionality.

    Compared to API v1, this version provides enhanced endpoints for cart
    operations, product management,

    and administrative functions with improved response structures and better
    error handling.
  termsOfService: http://cocartapi.com/terms-of-conditions-polar/
  contact:
    email: support@cocartapi.com
  license:
    name: GNU General Public License v3.0
    url: http://www.gnu.org/licenses/gpl-3.0.html
servers:
  - url: '{protocol}://{host}/wp-json/cocart/v2'
    description: API v2
    variables:
      protocol:
        enum:
          - http
          - https
        default: https
      host:
        default: example-store.com
        description: Your store domain
security: []
tags:
  - name: cart
    description: Operations for managing the shopping cart
  - name: cart-items
    description: Operations for managing cart items
  - name: cart-calculate
    description: Operations for calculating cart totals
  - name: products
    description: Operations for browsing and retrieving product information
  - name: product-attributes
    description: Operations for retrieving product attributes and attribute terms
  - name: product-categories
    description: Operations for browsing and filtering product categories
  - name: product-tags
    description: Operations for browsing and filtering product tags
  - name: product-reviews
    description: Operations for retrieving product reviews and ratings
  - name: product-variations
    description: Operations for retrieving variable product variations
  - name: admin-sessions
    description: Administrative operations for managing cart sessions
  - name: authentication
    description: Operations for user authentication
  - name: store
    description: Operations for retrieving store information and configuration
externalDocs:
  description: Find out more about CoCart API
  url: https://docs.cocartapi.com
paths:
  /products/attributes:
    get:
      tags:
        - product-attributes
      summary: Get product attributes
      description: |
        Gets a list of product attributes.
      responses:
        '200':
          description: Product attributes retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductAttribute'
              example:
                - id: 1
                  name: Size
                  position: 0
                  visible: true
                  variation: true
                  options:
                    - Small
                    - Medium
                    - Large
                    - X-Large
                    - 2X-Large
                - id: 2
                  name: Color
                  position: 1
                  visible: true
                  variation: true
                  options:
                    - Red
                    - Blue
                    - Green
                    - Black
                    - White
                    - Navy Blue
                    - Gray
                - id: 3
                  name: Material
                  position: 2
                  visible: true
                  variation: false
                  options:
                    - Cotton
                    - Polyester
                    - Wool
                    - Silk
        '400':
          description: Bad request - invalid parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: cocart_invalid_parameter
                message: Invalid parameter provided.
                data:
                  status: 400
components:
  schemas:
    ProductAttribute:
      type: object
      properties:
        id:
          type: integer
          description: Attribute ID.
        name:
          type: string
          description: Attribute name.
        position:
          type: integer
          description: Attribute position.
        visible:
          type: boolean
          description: >-
            Define if the attribute is visible on the "Additional information"
            tab in the product's page.
        variation:
          type: boolean
          description: Define if the attribute can be used as variation.
        options:
          type: array
          description: List of available term names of the attribute.
          items:
            type: string
    ErrorResponse:
      type: object
      description: Standard error response structure.
      properties:
        code:
          type: string
          description: Machine-readable error code.
          example: cocart_invalid_parameter
        message:
          type: string
          description: Human-readable error message.
          example: Invalid parameter provided.
        data:
          type: object
          description: Additional error data.
          properties:
            status:
              type: integer
              description: HTTP status code.
              example: 400
            params:
              type: object
              description: Parameter-specific error details.
              additionalProperties: true
          additionalProperties: true

````